//  main: main.less, out: ../style.css

// ====================================================================================================================================
// COMPONENTS
// ====================================================================================================================================
.c-teaser__full {
    position: relative;
    width: 100%;
    height: 300px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    .inner {
        position: absolute;
        width: 300px;
        top: 50%;
        right: 50%;
        text-align: right;
        z-index: 1;
        .u-transform(translateY(-50%));

        h2 {
            margin-bottom: @margin__s/2;
        }

        .o-button {
            margin: 0;
        }
    }
    @media @media_smartphone {
        .inner {
            position: absolute;
            width: 90%;
            top: 50%;
            right: 5%;
            text-align: center;
            z-index: 1;
            .u-transform(translateY(-50%));
    
            h2 {
                margin-bottom: @margin__s;
            }
        }
    }
}

.c-teasers {
    margin: @margin__s/2 auto;
    .u-flex-display;
    .u-justify-content(space-between);

    .c-teasers__item {
        text-align: center;
        height: 240px;
        .u-flex-display;
        .u-flex-direction(column);
        .u-align-items(center);
        .u-justify-content(center);

        h2 {
            color: @color-tetiary;
            font-size: @size__xxl;
        }

        p {
            color: white;
            width: 320px;
            margin: 5px 0 15px;
        }

        h2,
        a {
            margin: 0;
        }

        &.full {
            width: 100%;
        }

        &.half {
            width: calc(50% ~"-"5px);
        }
    }

    @media @media_tablet, @media_smartphone {
        .u-flex-direction(column);

        .c-teasers__item {
            h2 {
                font-size: @size__xl;
            }
            &.full,
            &.half {
                width: 100%;
            }

            p {
                width: 90%;
            }
            &:not(:last-child) {
                margin-bottom: @margin__s/2;
            }
        }
    }
    @media @media_smartphone {
        .c-teasers__item {
            h2 {
                font-size: @size__l;
            }
        }
    }
}


// IMMAGINI FLOTTANTI
.c-img__ball {
    position: absolute;
    z-index: 121;
    bottom: 0;
    left: @margin__xl;
}

.c-img__racket {
    position: absolute;
    right: 15%;
    bottom: 360px;
    z-index: 1;
}

@media @media_tablet {
    .c-img__racket {
        right: 15%;
        bottom: 220px;
    }
}

@media @media_landascape {
    .c-img__ball {
        height: 80px;
        bottom: @margin__s;
    }
    .c-img__racket {
        right: 15%;
        bottom: 250px;
        height: 190px;
    }

}

@media @media_smartphone {
    .c-img__ball,
    .c-img__racket {
        display: none;
    }
}